Status: Resolved Priority: Should have
Author: Patrick Rodacker Category:
Created: 2011-04-15 Assigned To:
Updated: 2012-02-08 Due date:
TYPO3 Version: 4.5
PHP Version:
Complexity:
Is Regression:
Sprint Focus:
Subject: remove obsolete check for dir media/scripts/ in Function tslib_fe::checkFileInclude
Description

One of the path checks of the function tslib_fe::checkFileInclude checks if the includefile is within the path media/scripts/ which is
obsolete:

function checkFileInclude($incFile)    {
    return !$this->TYPO3_CONF_VARS['FE']['noPHPscriptInclude']
        || substr($incFile,0,14)=='media/scripts/'
        || substr($incFile,0,4+strlen(TYPO3_mainDir))==TYPO3_mainDir.'ext/'
        || substr($incFile,0,7+strlen(TYPO3_mainDir))==TYPO3_mainDir.'sysext/'
        || substr($incFile,0,14)=='typo3conf/ext/';
}

Related issues:
related to Core - Bug # 25028: Remove cms/tslib/media folder to TER extension Closed 2011-02-14
related to Core - Bug # 26133: Fix broken string replacement for media/ folder Closed 2011-04-19
related to Core - Task # 31461: The Big Cleanup 4.7 Resolved 2012-02-19 2012-02-20
related to Core - Bug # 43730: Update outdated description of ['FE']['noPHPsc... Resolved 2012-12-07

Associated revisions
Revision 84964aca - 2012-02-08 07:31 - Markus Klein

[TASK] remove obsolete check for media/scripts/

tslib_fe::checkFileInclude() still contains a check for the
obsolete directory media/scripts/.
History
#1 - 2011-04-19 18:40 - Patrick Rodacker

I think this should be also related to the task #24954

#2 - 2012-02-05 14:22 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8850

#3 - 2012-02-08 14:31 - Markus Klein
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:84964aca88cf3a71840f6629b78d9878bc61e46e.
